WinCrypt.CTL_INFO (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinCrypt, class: CTL_INFO

Package com.sun.jna.platform.win32

# Class WinCrypt.CTL_INFO

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinCrypt.CTL_INFO

Direct Known Subclasses:
  `WinCrypt.CTL_INFO.ByReference`

Enclosing interface:
  WinCrypt

@FieldOrder({"dwVersion","SubjectUsage","ListIdentifier","SequenceNumber","ThisUpdate","NextUpdate","SubjectAlgorithm","cCTLEntry","rgCTLEntry","cExtension","rgExtension"}) public static class WinCrypt.CTL_INFO extends Structure
The CTL_INFO structure contains the information stored in a Certificate Trust List (CTL).

See Also:
  - MSDN

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinCrypt.CTL_INFO.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cCTLEntry`
  `int`
  `cExtension`
  `int`
  `dwVersion`
  `WinCrypt.DATA_BLOB`
  `ListIdentifier`
  `WinBase.FILETIME`
  `NextUpdate`
  `Pointer`
  `rgCTLEntry`
  `Pointer`
  `rgExtension`
  `WinCrypt.DATA_BLOB`
  `SequenceNumber`
  `WinCrypt.CRYPT_ALGORITHM_IDENTIFIER`
  `SubjectAlgorithm`
  `WinCrypt.CTL_USAGE`
  `SubjectUsage`
  `WinBase.FILETIME`
  `ThisUpdate`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CTL_INFO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinCrypt.CTL_ENTRY[]`
  `getRgCTLEntry()`
  `WinCrypt.CERT_EXTENSION[]`
  `getRgExtension()`

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dwVersion

    public int dwVersion

  - ### SubjectUsage

    public WinCrypt.CTL_USAGE SubjectUsage

  - ### ListIdentifier

    public WinCrypt.DATA_BLOB ListIdentifier

  - ### SequenceNumber

    public WinCrypt.DATA_BLOB SequenceNumber

  - ### ThisUpdate

    public WinBase.FILETIME ThisUpdate

  - ### NextUpdate

    public WinBase.FILETIME NextUpdate

  - ### SubjectAlgorithm

    public WinCrypt.CRYPT_ALGORITHM_IDENTIFIER SubjectAlgorithm

  - ### cCTLEntry

    public int cCTLEntry

  - ### rgCTLEntry

    public Pointer rgCTLEntry

  - ### cExtension

    public int cExtension

  - ### rgExtension

    public Pointer rgExtension

- ## Constructor Details

  - ### CTL_INFO

    public CTL_INFO()

- ## Method Details

  - ### getRgCTLEntry

    public WinCrypt.CTL_ENTRY[] getRgCTLEntry()

  - ### getRgExtension

    public WinCrypt.CERT_EXTENSION[] getRgExtension()